%define pkgname rails

Name: ruby-%pkgname
Version: 1.1.6
Release: alt1
Summary: Web-application framework with template engine, control-flow layer, and ORM.
License: MIT
Group: Development/Ruby
Url: http://www.rubyonrails.org

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %pkgname-%version.tar.gz
Patch: %pkgname-alt-fixes.patch

BuildArch: noarch

BuildRequires: ruby >= 1.8.1-alt9, libruby-devel
Requires: ruby-stdlibs, ruby-rake >= 0.7.1, ruby-activesupport = 1.3.1, ruby-activerecord = 1.14.4, ruby-actionpack = 1.12.5, ruby-actionmailer = 1.2.5, ruby-actionwebservice = 1.1.6

%description
Rails is a framework for building web-application using CGI, FCGI,
mod_ruby, or WEBrick on top of either MySQL, PostgreSQL, SQLite, DB2,
SQL Server, or Oracle with eRuby- or Builder-based templates.

%prep
%setup -q -n %pkgname
%patch -p1
find vendor/rails/railties -type f -print0 |
	xargs -r0 %__subst 's,/usr/local/bin/ruby,%_bindir/ruby,' --
%__subst "s,@RAILS_DATADIR@,%_datadir/%pkgname," vendor/rails/railties/lib/rails_generator/generators/applications/app/app_generator.rb

%install
cd vendor/rails/railties
%__mkdir_p %buildroot{%_bindir,%_datadir/%pkgname,%ruby_sitelibdir}
%__cp -rp lib/* %buildroot%ruby_sitelibdir
%__cp -rp bin builtin configs dispatches doc environments helpers html \
	fresh_rakefile README \
	%buildroot%_datadir/%pkgname
%__install -p -m755 bin/rails %buildroot%_bindir/rails
%__cat <<EOF > %buildroot%ruby_sitelibdir/railties_path.rb
RAILTIES_PATH = "%_datadir/%pkgname"
EOF
#rdoc lib/

%files
%_bindir/*
%ruby_sitelibdir/*
%_datadir/%pkgname
#ruby_ri_sitedir/

%changelog
* Fri Aug 11 2006 Sir Raorn <raorn@altlinux.ru> 1.1.6-alt1
- [1.1.6]

* Tue Jul 11 2006 Sir Raorn <raorn@altlinux.ru> 1.1.4-alt2
- Use builtins form RAILTIES_PATH, not "../..../../"

* Thu Jul 06 2006 Sir Raorn <raorn@altlinux.ru> 1.1.4-alt1
- [1.1.4]

* Wed Mar 15 2006 Sir Raorn <raorn@altlinux.ru> 1.0.0-alt1
- [1.0.1]
- Dropped rubygems

* Wed Aug 31 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.13.1-alt1
- Initial build for ALT Linux

